import QtQuick 1.1
import com.nokia.meego 1.0
import "uiconstants.js" as UiConstants

/* Display application About dialog (version info, copyright, credits  etc). */
Dialog
{
    id: aboutDialog
    visualParent: pageStack
    width: parent.width
    height: 550

    function setOfflineTimeLeftFormatted(timeLeft) //set offline time left (formatted value for display)
    {
        offlineTimeLeft.text = qsTr("Go online within") + " " + timeLeft;
    }

    title: Label
    {
    id: dialogTitle
    text: qsTr("About QSpot " + UiConstants.APP_VERSION_STRING)
    width: parent.width
    horizontalAlignment: Text.AlignHCenter
}

content: Item
{
    id: contentItem
    width: parent.width
    anchors.leftMargin: 10
    height: aboutDialog.height

    Column
    {
        spacing: UiConstants.DEFAULT_SPACING
        Image
        {
            id: logo
            source: "../images/qspot.png"
            anchors.horizontalCenter: parent.horizontalCenter
        }

        Label
        {
            id: txtContent
            width: contentItem.width
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
            text: qsTr("Qt-based Spotify client for MeeGo / Harmattan.\n\nLicensed under GPLv3.\nBy Andreas Enbacka and the QSpot Team 2012.")

        }

        Label
        {
            id: offlineTimeLeft
            width: contentItem.width
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.WordWrap
        }

        Image
        {
            id: spotifyCoreLogo
            source: "../images/spotify-core-logo.png"
            anchors.horizontalCenter: parent.horizontalCenter
        }
    }
}

buttons: ButtonRow {
    style: ButtonStyle {}
    anchors.horizontalCenter: parent.horizontalCenter
    Button {text: qsTr("Done"); onClicked: accept()}
}
}
