import QtQuick 1.1
import "uiconstants.js" as UiConstants
//Delegate used by the listviews rendering album-related info

Item
{
    id: albumInfoDelegate
    signal clicked()

    ListViewHighlight
    {
        visible: mouseArea.pressed
    }

    width: ListView.view.width
    height: UiConstants.DEFAULT_DELEGATE_HEIGHT
    Row
    {
        spacing: UiConstants.DEFAULT_SPACING

        Image
        {
            source: "../images/album.png"
            anchors.verticalCenter: parent.verticalCenter
        }

        Column
        {
            anchors.verticalCenter: parent.verticalCenter

            Text
            {   text: albumName
                font.family: UiConstants.DEFAULT_FONT_FAMILY
                font.pointSize: UiConstants.DELEGATE_MAINFONT_POINTSIZE
                width: 395
                elide: Text.ElideRight
                color: UiConstants.DEFAULT_DELEGATE_TEXTCOLOR
            }


            Row
            {
                spacing: UiConstants.DEFAULT_SPACING

                Text
                {
                    text: albumArtist
                    font.family: UiConstants.DEFAULT_FONT_FAMILY
                    font.pointSize: UiConstants.DELEGATE_SUBFONT_POINTSIZE
                    width: 395
                    elide: Text.ElideRight
                    color: UiConstants.DEFAULT_DELEGATE_TEXTCOLOR
                }
            }

        }

    }

    MouseArea
    {
        id: mouseArea
        anchors.fill: parent
        onClicked: {
            albumInfoDelegate.clicked();
        }
    }
}

