import QtQuick 1.1
import "uiconstants.js" as UiConstants
//Delegate used by the listviews rendering artist-related info

Item
{
    id: artistInfoDelegate
    signal clicked()

    ListViewHighlight
    {
        visible: mouseArea.pressed
    }

    width: ListView.view.width
    height: UiConstants.DEFAULT_DELEGATE_HEIGHT
    Row
    {
        spacing: UiConstants.DEFAULT_SPACING

        Image
        {
            source: "../images/people-or-artist.png"
            anchors.verticalCenter: parent.verticalCenter
        }


        Text
        {
            text: artistName
            anchors.verticalCenter: parent.verticalCenter
            font.family: UiConstants.DEFAULT_FONT_FAMILY
            font.pointSize: UiConstants.DELEGATE_MAINFONT_POINTSIZE
            width: 395
            elide: Text.ElideRight
            color: UiConstants.DEFAULT_DELEGATE_TEXTCOLOR
        }
    }

    MouseArea
    {
        id: mouseArea
        anchors.fill: parent
        onClicked: {
            artistInfoDelegate.clicked();
        }
    }
}
