import QtQuick 1.1
import com.nokia.meego 1.0
import "uiconstants.js" as UiConstants

/*Custom progress indicator  / slider component */
Item
{
    id: customProgressInd

    /* custom properties */
    property int indicator1Pos: 0
    property int indicator2Pos: 0
    property string indicatorLabelLeft: ""
    property string indicatorLabelRight: ""



    Rectangle {
        id: background
        anchors.left: parent.left
        anchors.verticalCenter: parent.verticalCenter
        width: parent.width
        height: parent.height
        gradient: Gradient {
            GradientStop { color: UiConstants.PROGRESS_INDICATOR_BKG_GRADIENT_START; position: 0.0}
            GradientStop { color: UiConstants.PROGRESS_INDICATOR_BKG_GRADIENT_STOP; position: 1.0}
        }
        radius: 0
        smooth: true

    }


    MaskedItem {
        id: foreground
        width: parent.width
        height: parent.height
        anchors.left: parent.left
        anchors.verticalCenter: parent.verticalCenter
        mask: Rectangle {
            id: mask
            width: foreground.width
            height: foreground.height
            color: "black"
            radius: background.radius
        }


        Rectangle
        {
            id: indicator1
            anchors.left: parent.left
            anchors.verticalCenter: parent.verticalCenter
            width: customProgressInd.indicator1Pos
            height: parent.height
            gradient: Gradient {
                GradientStop { color: UiConstants.PROGRESS_INDICATOR1_GRADIENT_START; position: 0.0}
                GradientStop { color: UiConstants.PROGRESS_INDICATOR1_GRADIENT_STOP; position: 1.0}
            }
            radius: background.radius
            smooth: true
        }

        Rectangle
        {
            id: indicator2
            anchors.left: parent.left
            anchors.verticalCenter: parent.verticalCenter
            width: customProgressInd.indicator2Pos
            height: parent.height
            gradient: Gradient {
                GradientStop { color: UiConstants.PROGRESS_INDICATOR2_GRADIENT_START; position: 0.0}
                GradientStop { color: UiConstants.PROGRESS_INDICATOR2_GRADIENT_STOP; position: 1.0}
            }
            radius: background.radius
            smooth: true
        }

    }



    /* progress indicator left / right side labels */

    Text
    {
        id: leftLabel
        font.family: UiConstants.DEFAULT_FONT_FAMILY
        font.pointSize: UiConstants.DEFAULT_TEXT_POINTSIZE
        color: UiConstants.PROGRESS_INDICATOR_LABEL_TEXTCOLOR
        anchors.left: background.left
        anchors.top: background.bottom
        anchors.topMargin: 5
        text: parent.indicatorLabelLeft
    }

    Text
    {
        id: rightLabel
        font.family: UiConstants.DEFAULT_FONT_FAMILY
        font.pointSize: UiConstants.DEFAULT_TEXT_POINTSIZE
        color: UiConstants.PROGRESS_INDICATOR_LABEL_TEXTCOLOR
        anchors.right:background.right
        anchors.top: background.bottom
        anchors.topMargin: 5
        text: parent.indicatorLabelRight
    }
}
