/* General PageHeader component */
import QtQuick 1.1
import com.nokia.meego 1.0
import com.nokia.extras 1.0
import "uiconstants.js" as UiConstants

Rectangle {

    id: root
    property alias text: label.text
    property bool displayComboIndicator: true
    signal clicked()

    width: parent.width
    height: screen.currentOrientation == Screen.Landscape ?
                UiConstants.HeaderDefaultHeightLandscape :
                UiConstants.HeaderDefaultHeightPortrait
    gradient: Gradient {
        GradientStop { color: "#726B6A"; position: 0.0}
        GradientStop { color: "#040704"; position: 1.0}
    }

    TumblerButtonStyle {
        id: style
        inverted: true
    }
    Label {
        id: label
        width: 400
        elide: Text.ElideRight
        anchors {
            left: parent.left;
            leftMargin: UiConstants.DefaultMargins;
            verticalCenter: parent.verticalCenter;
        }
        font {
            pixelSize: UiConstants.HeaderFontPixelSize
            bold: false
        }
        color: style.textColor
    }
    MouseArea {
        id: mouse
        anchors.fill: parent
        onClicked: {
            root.clicked();
        }
    }

    Image {
        id: icon
        anchors {
            right: (label.text != "") ? parent.right : undefined;
            rightMargin: UiConstants.DefaultMargins;
            horizontalCenter: (label.text != "") ? undefined : parent.horizontalCenter;
            verticalCenter: parent.verticalCenter;
        }
        height: label.height
        source: (displayComboIndicator==true) ? ("image://theme/meegotouch-combobox-indicator" +
                (theme.inverted ? "-inverted" : "") +
                (root.enabled ? "" : "-disabled") +
                (mouse.pressed ? "-pressed" : "")) : ""
    }

}
