import QtQuick 1.1
import "uiconstants.js" as UiConstants

Item
{
    id: playlistInfoDelegate

    /* signals */
    signal clicked()
    signal pressAndHold()

    /* returns path to delegate icon */
    function getPlaylistIcon() {
        if(type===UiConstants.PLAYLIST_TYPE_STARRED)
        {

            return "../images/star.png";

        }
        else
        {
            return "../images/playlist.png";

        }
    }

    ListViewHighlight
    {
        visible: playlistItemDelegateArea.pressed
    }

    width: ListView.view.width
    height: UiConstants.DEFAULT_DELEGATE_HEIGHT

    Row
    {
        anchors.fill: parent
        spacing: UiConstants.DEFAULT_SPACING

        Image
        {
            id: playlistIcon
            anchors.verticalCenter: parent.verticalCenter
            source: getPlaylistIcon()
        }


        Column
        {
            anchors.verticalCenter: parent.verticalCenter

            Text
            {
                id: playlistName
                text: name
                width:  360
                elide: Text.ElideRight
                font.family: UiConstants.DEFAULT_FONT_FAMILY
                font.pointSize: UiConstants.DELEGATE_MAINFONT_POINTSIZE
                color: UiConstants.DEFAULT_DELEGATE_TEXTCOLOR
            }

            Row
            {
                spacing: 5
                Image
                {
                    id: offlineIcon
                    anchors.verticalCenter: parent.verticalCenter
                    source: "../images/icon-type-list-offline.png"
                    visible: ((isOffline==true)?true : false)
                }

                Text
                {
                    text: numTracks + " " + qsTr("tracks")
                    anchors.verticalCenter: parent.verticalCenter
                    width:  150
                    font.family: UiConstants.DEFAULT_FONT_FAMILY
                    font.pointSize: UiConstants.DELEGATE_SUBFONT_POINTSIZE
                    color: UiConstants.DEFAULT_DELEGATE_TEXTCOLOR
                }

           }
        }
    }


    MouseArea
    {
        id: playlistItemDelegateArea
        anchors.fill: parent

        onClicked: {
            playlistInfoDelegate.clicked();
        }

        onPressAndHold: {
            playlistInfoDelegate.pressAndHold();
        }
    }

}
