import QtQuick 1.1
import com.nokia.meego 1.0
import "uiconstants.js" as UiConstants

Item {

    id: root
    width: parent.width
    height: UiConstants.DEFAULT_DELEGATE_HEIGHT

    property alias title: titleLabel.text
    property alias model: selDialog.model
    property alias selectedIndex: selDialog.selectedIndex

    signal itemSelectionChanged


    SelectionDialog {
        id: selDialog
        titleText: titleLabel.text
        onSelectedIndexChanged: {
            root.itemSelectionChanged();
        }
    }

    Column {
        anchors.left: parent.left
        anchors.verticalCenter: parent.verticalCenter
        anchors.right: arrowIcon.left

        Label {
            id: titleLabel
            width: parent.width
            elide: Text.ElideRight
        }

        Label {
            id: subTitleLabel
            width: parent.width
            elide: Text.ElideRight
            text: (selDialog.selectedIndex>=0)? selDialog.model.get(selDialog.selectedIndex).name : qsTr("Please select")
            font.pointSize: UiConstants.DELEGATE_MAINFONT_POINTSIZE
        }
    }

    Image {
        id: arrowIcon
        anchors.right: parent.right
        anchors.verticalCenter: parent.verticalCenter
        source: "image://theme/meegotouch-combobox-indicator" +
                (theme.inverted ? "-inverted" : "") +
                (root.enabled ? "" : "-disabled") +
                (mouseArea.pressed ? "-pressed" : "")
    }

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        onClicked: {
            selDialog.open();
        }
    }

}
