import QtQuick 1.1
import "uiconstants.js" as UiConstants

//Delegate used by the listviews rendering track-related info
Item
{
    id: trackInfoDelegate
    signal clicked()
    property bool highlightActiveTrack: false // highlight active track in case true (used by QueuePage instance)


   /* return path to track icon */
    function getTrackIcon() {

        if(isOffline) {

            return "../images/track.png";
        }
        else {

            return "../images/track.png";
        }
    }

    ListViewHighlight
    {
        visible: mouseArea.pressed
    }

    width: ListView.view.width
    height: UiConstants.DEFAULT_DELEGATE_HEIGHT
    Row
    {
        spacing: UiConstants.DEFAULT_SPACING

        Image
        {
            source: getTrackIcon()
            anchors.verticalCenter: parent.verticalCenter
        }

        Column
        {
            anchors.verticalCenter: parent.verticalCenter

            Text
            {   text: trackName
                font.family: UiConstants.DEFAULT_FONT_FAMILY
                font.pointSize: UiConstants.DELEGATE_MAINFONT_POINTSIZE
                width: 395
                elide: Text.ElideRight
                color: ((trackInfoDelegate.ListView.isCurrentItem && trackInfoDelegate.highlightActiveTrack) ? UiConstants.ACTIVE_TRACK_HIGHLIGHT : UiConstants.DEFAULT_DELEGATE_TEXTCOLOR)
            }


            Row
            {
                spacing: UiConstants.DEFAULT_SPACING

                Text
                {
                    text: trackArtist + " | " + trackAlbum
                    font.family: UiConstants.DEFAULT_FONT_FAMILY
                    font.pointSize: UiConstants.DELEGATE_SUBFONT_POINTSIZE
                    width: 350
                    elide: Text.ElideRight
                    color: ((trackInfoDelegate.ListView.isCurrentItem && trackInfoDelegate.highlightActiveTrack) ? UiConstants.ACTIVE_TRACK_HIGHLIGHT : UiConstants.DEFAULT_DELEGATE_TEXTCOLOR)
                }

                Text
                {
                    text: trackDuration
                    font.family: UiConstants.DEFAULT_FONT_FAMILY
                    font.pointSize: UiConstants.DELEGATE_SUBFONT_POINTSIZE
                    width: 45
                    color: ((trackInfoDelegate.ListView.isCurrentItem && trackInfoDelegate.highlightActiveTrack) ? UiConstants.ACTIVE_TRACK_HIGHLIGHT : UiConstants.DEFAULT_DELEGATE_TEXTCOLOR)
                }
            }

        }

    }

    MouseArea
    {
        id: mouseArea
        anchors.fill: parent
        onClicked: {
            trackInfoDelegate.clicked();
        }
    }
}
