import QtQuick 1.1
import com.nokia.meego 1.0
import "uiconstants.js" as UiConstants

/* TrackPage displays tracks contained within a playlist*/

Page
{
    id: playlistTracksPage

    orientationLock: PageOrientation.LockPortrait /* locked until landscape properly implemented */

    property string playlistName : qsTr("Playlist tracks")
    property bool isTracksOffline: false /*true in case tracks of the playlist are available offline */

    /* toolbar element for the Tracks page */
    tools: commonToolBarLayout

    // page header
    PageHeader
    {
        id: tracksPageHeader
        displayComboIndicator: false
        text: parent.playlistName
        anchors.top: parent.top
        anchors.left: parent.left
    }


    //ListView element for holding individual playlist tracks

    ListView
    {
        id: tracksListView
        anchors.top: tracksPageHeader.bottom
        anchors.topMargin: 20
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        anchors.leftMargin: 5
        anchors.right: parent.right
        anchors.rightMargin: 5
        snapMode: ListView.SnapToItem
        model:  qspotCore.tracksModel
        clip: true
        interactive: true
        delegate:   TrackInfoDelegate
        {
            id: trackItemDelegate

            onClicked: {
                tracksListView.currentIndex = index; //get the index of track item clicked (activated)
                qspotCore.enqueueActiveTracks(0); //enqueue the current (displayed) playlist
                queuePage.setActiveTrack(index,true);
                pageStack.push(queuePage); //display the  Queue (Now Playing) page (i.e., push it onto the pagestack)
            }
        }
    }

    ScrollDecorator {
      flickableItem: tracksListView
    }
}


